<?php

//MVC, REST API
class KalkulatorCeneController extends Controller
{
    function izracunaj($input)
    {
        ((isset($input['duzina'])) ? $duzina = $input['duzina'] : $duzina = 0);
        ((isset($input['sirina'])) ? $sirina = $input['sirina'] : $sirina = 0);
        ((isset($input['visina'])) ? $visina = $input['visina'] : $visina = 0);
        ((isset($input['zemlja'])) ? $zemlja =  $input['zemlja'] : $zemlja = "");
        try {
            $cenaDostave = Kalkulator::preracunajCenuDostave($duzina, $sirina, $visina, $zemlja);
            return Json::make()->with('cenaDostave', $cenaDostave);
        } catch (Exception $e) {
            return Json::make()->with('error', $e->getMessage());
        }
    }

    public function defaultAction($input)
    {
        return View::make('kalkulator_cene');
    }
}