<?php
const ERROR_MESSAGE = "ERROR_MESSAGE";
const NOTICE_MESSAGE = "NOTICE_MESSAGE";
((isset($_POST['duzina'])) ? $duzina = $_POST['duzina'] : $duzina = 0);
((isset($_POST['sirina'])) ? $sirina = $_POST['sirina'] : $sirina = 0);
((isset($_POST['visina'])) ? $visina =  $_POST['visina'] : $visina = 0);
((isset($_POST['zemlja'])) ? $zemlja =  $_POST['zemlja'] : $zemlja = "");

if (!$_POST) {
    prikaz_forme();
} else if (!$duzina || !$sirina || !$visina || !$zemlja) {
    prikaz_forme("Molimo Vas unesite sve podatke", ERROR_MESSAGE);
} else {
    preracunajCenuDostave($duzina, $visina, $sirina, $zemlja);
}

function prikaz_forme($message = "", $messageType = NOTICE_MESSAGE)
{
    echo "<html>
    	  <body>
          <form action='allinone_kalkulacija_cene_dostave.php' method='post' autocomplete='off'>
		   Duzina: <input type='text' name='duzina'><br>
		   Širina: <input type='text' name='sirina'><br>
		   Visina: <input type='text' name='visina'><br>
		   Zemlja:<select name='zemlja'>
		            <option value='SRB'>Srbija</option>
		            <option value='BIH'>BiH</option>
		            <option value='HR'>Hrvatska</option>
		          </select> <br>
    	   <input type='submit' value='Submit'><br>";
    if ($messageType === ERROR_MESSAGE) {
        echo "<span style='color: red;'>$message</span>";
    } else {
        echo "<span style='color: green;'>$message</span>";
    }
    echo "</form>
 		  </body>
          </html>";
}

function preracunajCenuDostave($duzina, $visina, $sirina, $zemlja) {
    if (max($duzina, $visina, $sirina) > 35) {
        prikaz_forme("Paket nije ispravne velicine", ERROR_MESSAGE);
    } else {
        if ($zemlja === 'SRB') {
            $cenaDostave = 123;
        } else {
            $cenaDostave = 250;
        }
        prikaz_forme("Cena dostave je $cenaDostave dinara");
    }
}
?>