<?php
require_once 'model\Kalkulator.php';
require_once 'model\Paket.php';
require_once 'controller\Controller.php';
require_once 'controller\KalkulatorCeneController.php';
require_once 'controller\UnosPaketaController.php';
require_once 'controller\JsonError.php';
require_once 'view\Response.php';
require_once 'view\View.php';
require_once 'view\Json.php';

((isset($_GET['pageId'])) ? $pageId = $_GET['pageId'] : $pageId = "");
((isset($_GET['action'])) ? $action = $_GET['action'] : $action = "");

//$isAjax = strpos($_SERVER['HTTP_ACCEPT'], 'application/json');

try {
    $controllerClass = $pageId . "Controller";
    if ($pageId && class_exists($controllerClass)) {
        $controller = new $controllerClass();
        if ($action) {
            $response = $controller->$action($_REQUEST);
        } else {
            $response = $controller->defaultAction($_REQUEST);
        }
        $response->flush();
    } else {
        View::make('home_page')->flush();
    }
} catch (Exception $e) {
    echo "Greska: " . $e->getMessage();
}
?>