<html>
<head>
    <link rel="stylesheet" href="/static/css/bootstrap.min.css">
    <script src="/static/js/bootstrap.min.js" crossorigin="anonymous"></script>
    <script src="/static/js/jquery-3.4.1.min.js"></script>
    <script>
        $(document).ready(function(){
            $('.alert-danger').hide();
            $(".alert-success").hide();
        });
        function izracunajCenu() {
            $.ajax({
                url: 'rest/KalkulatorCene/izracunaj',
                headers: {
                    Accept: "application/json; charset=utf-8"
                },
                type: "POST",
                data: new FormData(document.getElementById("forma")),
                cache: false,
                processData: false,
                contentType: false,
                success: function (response) {
                    $('.alert-danger').hide();
                    $('.alert-success').html("Cena dostave je " + response.cenaDostave + " dinara.");
                    $('.alert-success').show();
                },
                error: function (xhr) {
                    $(".alert-success").hide();
                    $('.alert-danger').html(xhr.responseJSON.error);
                    $('.alert-danger').show();
                }
            });
        }
    </script>
</head>
<body>
<div class="card">
    <div class="card-body">
        <form id="forma" autocomplete='off'>
            <div class="form-group">
                <label for="duzina">Dužina</label>
                <input type="number" class="form-control" id="duzina" placeholder="Duzina" name='duzina'>
            </div>
            <div class="form-group">
                <label for="sirina">Širina </label>
                <input type="number" class="form-control" id="sirina" placeholder="Širina" name='sirina'>
            </div>
            <div class="form-group">
                <label for="visina">Visina </label>
                <input type="number" class="form-control" id="visina" placeholder="Visina" name='visina'>
            </div>
            <div class="form-group">
                <label for="zemlja">Zemlja </label>
                <select id="zemlja" name='zemlja' class="form-control">
                    <option value='SRB'>Srbija</option>
                    <option value='BIH'>BiH</option>
                    <option value='HR'>Hrvatska</option>
                </select>
            </div>
            <button type="button" class="btn btn-primary" onClick="izracunajCenu()">Submit</button>
        </form>

        <div class='alert alert-danger' role='alert'></div>
        <div class='alert alert-success' role='alert'></div>
    </div>
</div>
</body>
</html>