<?php
require_once 'model\Kalkulator.php';
require_once 'model\Paket.php';
require_once 'controller\Controller.php';
require_once 'controller\KalkulatorCeneController.php';
require_once 'controller\UnosPaketaController.php';
require_once 'view\View.php';


((isset($_GET['pageId'])) ? $pageId = $_GET['pageId'] : $pageId = "");
((isset($_GET['action'])) ? $action = $_GET['action'] : $action = "");

try {
    $controllerClass = $pageId . "Controller";
    if ($pageId && class_exists($controllerClass)) {
        $controller = new $controllerClass();
        if ($action) {
            $view = $controller->$action($_REQUEST);
        } else {
            $view = $controller->defaultAction($_REQUEST);
        }
        $view->display();
    } else {
        View::make('home_page')->display();
    }
} catch (Exception $e) {
    echo "Greska: " . $e->getMessage();
}
?>