<?php


class View
{
    private $viewTemplate;
    private $view_data = array();

    public function with($key, $value) {
          $this->view_data[$key] = $value;
          return $this;
    }

    public static function make(string $viewTemplate) {
        $view = new View();
        $view->viewTemplate = $viewTemplate.".php";
        return $view;
    }

    public function display() {
        $viewData = $this->view_data;
        include $this->viewTemplate;
    }

}